VERSION 5.00
Object = "{6C2FA287-6245-4C0A-8C5B-6DC4F9C3D85A}#3.0#0"; "MessengerCheck.ocx"
Begin VB.Form frmMessenger 
   Caption         =   "MessengerCheck Beispiel"
   ClientHeight    =   3855
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   6180
   LinkTopic       =   "Form1"
   ScaleHeight     =   3855
   ScaleWidth      =   6180
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CommandButton cmdClose 
      Caption         =   "Schritt 3 - Verbindung beenden"
      Height          =   375
      Left            =   120
      TabIndex        =   5
      Top             =   3120
      Width           =   5895
   End
   Begin VB.CommandButton cmdCheck 
      Caption         =   "Schritt 2 - Status berprfen"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1200
      Width           =   5895
   End
   Begin VB.TextBox txtICQList 
      Height          =   285
      Left            =   120
      TabIndex        =   1
      ToolTipText     =   "ICQ-Nummern, die berprft werden sollen"
      Top             =   840
      Width           =   5895
   End
   Begin VB.CommandButton cmdConnect 
      Caption         =   "Schritt 1 - Zum Server verbinden"
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   5895
   End
   Begin VB.Line Line2 
      X1              =   120
      X2              =   6120
      Y1              =   3000
      Y2              =   3000
   End
   Begin VB.Label lblStatus 
      Caption         =   "#Status"
      Height          =   1215
      Left            =   120
      TabIndex        =   4
      Top             =   1680
      Width           =   5895
   End
   Begin VB.Label lblMsg 
      BackColor       =   &H00808080&
      Caption         =   "#Msg"
      ForeColor       =   &H00FFFFFF&
      Height          =   255
      Left            =   0
      TabIndex        =   3
      Top             =   3600
      Width           =   6255
   End
   Begin VB.Line Line1 
      X1              =   120
      X2              =   6000
      Y1              =   600
      Y2              =   600
   End
   Begin MessengerCheck.MsgCheck MsgCheck1 
      Left            =   5640
      Top             =   3000
      _ExtentX        =   873
      _ExtentY        =   873
   End
End
Attribute VB_Name = "frmMessenger"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Const SOCKET_CLOSED = 0

'Status berprfen
Private Sub cmdCheck_Click()
    'Liste mit ICQ-Nummern bergeben
    MsgCheck1.ICQList = txtICQList.Text
    'berprfen
    lblStatus.Caption = ""
    MsgCheck1.CheckICQStatus
End Sub

Private Sub cmdClose_Click()
    'Schlieen
    MsgCheck1.CloseConnection
End Sub

'Schritt 1: Verbindung zum ICQ-Server herstellen
Private Sub cmdConnect_Click()
    'Prfen, ob Online-Verbindung besteht
    If MsgCheck1.Online = True Then
        'Ja, Verbindung besteht
        'Zum Server verbinden
        MsgCheck1.ConnectToICQ
        'Nachricht ausgeben
        SetMsg "Verbinde..."
    Else
        'Nein, keine Verbindung
        If MsgBox("Keine Internet-Verbindung! Trotzdem verbinden?", vbQuestion + vbYesNo, "Fehler") = vbYes Then
            MsgCheck1.ConnectToICQ
            SetMsg "Verbinde..."
        End If
    End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
    If MsgCheck1.SocketState <> SOCKET_CLOSED Then
        MsgCheck1.CloseConnection
    End If
End Sub

'Verbindung wurde geschlossen
Private Sub MsgCheck1_Closed()
    SetMsg "Verbindung geschlossen."
End Sub

'Verbindung wurde hergestellt
Private Sub MsgCheck1_Connected()
    SetMsg "Verbunden mit Server."
End Sub

'Allgemeiner Fehler aufgetreten
Private Sub MsgCheck1_Error(Number As Long, Description As String)
    MsgBox "Es ist ein Fehler aufgetreten." & vbCrLf & vbCrLf & Description, vbExclamation, "Fehler Nr. " & Number
End Sub

'Alle Daten wurden abgeschickt
Private Sub MsgCheck1_SendComplete()
    SetMsg "Daten gesendet."
End Sub

'Daten werden gesendet
Private Sub MsgCheck1_SendProgress(BytesSent As Long, BytesRemaining As Long)
    SetMsg "Daten werden gesendet..."
End Sub

'Es ist ein SocketError aufgetreten
Private Sub MsgCheck1_SocketError(Number As Integer, Description As String)
    MsgBox "Es ist ein Socket-Error aufgetreten." & vbCrLf & vbCrLf & Description, vbExclamation, "Fehler Nr. " & Number
    SetMsg "SocketError " & Number
End Sub

'Gibt eine Nachricht an den Benutzer aus im Label "lblMsg" am unteren Rand
Private Sub SetMsg(ByVal pMsg As String)
    lblMsg.Caption = " " & pMsg
End Sub

'Status einer Nummer festgestellt
Private Sub MsgCheck1_StatusChange(NewStatus As MessengerCheck.ICQ_STATE, ByVal ICQNumber As String)
    'Statusausgabe
    lblStatus.Caption = lblStatus.Caption & ICQNumber & ":" & GetTextFromStatus(NewStatus) & vbCrLf
End Sub

'Status (Zahl) in einen Text umwandeln
Private Function GetTextFromStatus(pStatus As Long) As String
    Select Case pStatus
        Case 0
            GetTextFromStatus = "Offline"
        Case 1
            GetTextFromStatus = "Online"
        Case 2
            GetTextFromStatus = "Disabled"
        Case 3
            GetTextFromStatus = "Fehler"
    End Select
End Function
